Nowe posty

xx Instalacja Debian10 problem z instalacją GRUBa na RAID5 (5)
Wczoraj o 17:58:57
xx AMD Ryzen 5 3500U (11)
2019-10-14, 18:29:46
xx Konfiguracja directadmina (0)
2019-10-13, 03:18:36
xx Problem z instalacją sterowników TL-WN821N (4)
2019-10-11, 23:15:00
xx Sprzet z Linuxem (1)
2019-10-11, 10:06:24
xx nadpisanie partycji domowej (6)
2019-10-03, 03:27:28
xx Screen flickering Deepin (4)
2019-10-02, 20:32:56
xx Pisanie bezpiecznych skryptow. (0)
2019-10-01, 19:42:01
xx Ciągle pojawiają się nowe wpisy w auth.log (1)
2019-09-27, 21:09:45
xx Pblem z montowaniem dysku sieciowego (3)
2019-09-22, 22:05:08

Autor Wątek: Blender: symbol lookup error  (Przeczytany 10001 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Blender: symbol lookup error
« dnia: 2008-03-29, 15:23:02 »
Zainstalowałem blendera z repo. Wszytsko wydaje się w porządku, ale nie chce się uruchomić  Konsola wysyła komunikat:

/usr/lib/blender/blender.sse: symbol lookup error: /usr/lib/libavformat.so.52: undefined symbol: av_strlcatf

Rpm libavformat.so.52 jest w folderze /usr/lib. Z blenderem pobrałem wszytskie jego zależności. Szukałem w necie i znalażlem, że muszę przeinstalować libavformat co też zrobiłem - nic nie pomaga. Pidało także, że muszę mieć libavformat-dev i libavcodec-dev, których nie ma w synapticu (dowiedziałem się, że niektórym użytkownikom pclinuxos blender uruchamiał się od razu po instalacji więc nie jestem pewien czy te .rpm są potrzebne).

Czy ktoś wie jak rozwiązać ten problem?

[Edycja: dodałem do tytułu kluczową frazę problemu]

Offline arctgx

  • Users
  • Guru
  • *****
  • Wiadomości: 2753
    • Zobacz profil
Blender: symbol lookup error
« Odpowiedź #1 dnia: 2008-03-30, 21:37:52 »
A próbowałeś może oglądać wynik polecenia ldd /usr/lib/blender/blender.sse?

Prawdopodobnie plik ten został skompilowany z wersją biblioteki której nie masz (wraz z brakującymi "symbolami" - cokolwiek miałoby to znaczyć) i która nawet po zaktualizowaniu nie jest jeszcze tą. Ale czy przez "przeinstalowanie" rozumiesz odświeżenie do najnowszej wersji?
Użytkownik: Ib5sXfcCkvYR
Hasło: adam

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Blender: symbol lookup error
« Odpowiedź #2 dnia: 2008-04-03, 21:15:31 »
Po zastosowaniu komendy ldd:
linux-gate.so.1 =>  (0xb7f4c000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7f15000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7eef000)
        libz.so.1 => /lib/libz.so.1 (0xb7edc000)
        libpython2.4.so.1.0 => /usr/lib/libpython2.4.so.1.0 (0xb7dd2000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7d58000)
        libgettextlib-0.16.1.so => /usr/lib/libgettextlib-0.16.1.so (0xb7d3a000)
        libopenal.so.0 => /usr/lib/libopenal.so.0 (0xb7cf9000)
        libalut.so.0 => /usr/lib/libalut.so.0 (0xb7cf2000)
        libHalf.so.2 => /usr/lib/libHalf.so.2 (0xb7caf000)
        libIlmImf.so.2 => /usr/lib/libIlmImf.so.2 (0xb7c38000)
        libIex.so.2 => /usr/lib/libIex.so.2 (0xb7c20000)
        libImath.so.2 => /usr/lib/libImath.so.2 (0xb7c1b000)
        libavformat.so.52 => /usr/lib/libavformat.so.52 (0xb7b7b000)
        libavcodec.so.51 => /usr/lib/libavcodec.so.51 (0xb7693000)
        libavutil.so.49 => /usr/lib/libavutil.so.49 (0xb7684000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0xb75d5000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0xb7548000)
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0xb74c6000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb73c7000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb73be000)
        libutil.so.1 => /lib/libutil.so.1 (0xb73ba000)
        libc.so.6 => /lib/i686/libc.so.6 (0xb728d000)
        libm.so.6 => /lib/i686/libm.so.6 (0xb7267000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7263000)
        libpthread.so.0 => /lib/i686/libpthread.so.0 (0xb7250000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb716b000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7160000)
        libintl.so.8 => /lib/libintl.so.8 (0xb7156000)
        libmp3lame.so.0 => /usr/lib/libmp3lame.so.0 (0xb70c4000)
        libxvidcore.so.4 => /usr/lib/libxvidcore.so.4 (0xb6faa000)
        libx264.so.50 => /usr/lib/libx264.so.50 (0xb6f01000)
        libfaac.so.0 => /usr/lib/libfaac.so.0 (0xb6ef0000)
        libfaad.so.0 => /usr/lib/libfaad.so.0 (0xb6eaf000)
        libesd.so.0 => /usr/lib/libesd.so.0 (0xb6ea5000)
        libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0xb6e7a000)
        libdirectfb-0.9.so.25 => /usr/lib/libdirectfb-0.9.so.25 (0xb6e1a000)
        libfusion-0.9.so.25 => /usr/lib/libfusion-0.9.so.25 (0xb6e13000)
        libdirect-0.9.so.25 => /usr/lib/libdirect-0.9.so.25 (0xb6e03000)
        libggi.so.2 => /usr/lib/libggi.so.2 (0xb6df7000)
        libgii.so.0 => /usr/lib/libgii.so.0 (0xb6def000)
        libgg.so.0 => /usr/lib/libgg.so.0 (0xb6de5000)
        libaa.so.1 => /usr/lib/libaa.so.1 (0xb6dca000)
        libGLcore.so.1 => /usr/lib/libGLcore.so.1 (0xb6544000)
        libnvidia-tls.so.1 => /usr/lib/tls/libnvidia-tls.so.1 (0xb6542000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb6533000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb652f000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6529000)
        /lib/ld-linux.so.2 (0xb7f4d000)
        libslang.so.1 => /usr/lib/libslang.so.1 (0xb64ab000)
        libgpm.so.1 => /lib/libgpm.so.1 (0xb64a5000)
Na moje (laickie) oko wszytsko wydaje sie w porzadku.

Jako przeinstalowanie rozumiem po prostu przeinstalowanie bez aktualizacji

Po kilku dniach walki, nie wiadomo jak zniknal ten, a pojawil sie inny blad:
/usr/lib/blender/blender.sse: symbol lookup error: /usr/lib/libavcodec.so.51: undefined symbol: av_crc04C11DB7

av_crc to chyba codec zawarty w ffmpeg? A ffmpeg posiadam.

Edycja: BBCode

Offline arctgx

  • Users
  • Guru
  • *****
  • Wiadomości: 2753
    • Zobacz profil
Blender: symbol lookup error
« Odpowiedź #3 dnia: 2008-04-03, 21:26:21 »
A dlaczego nie zrobisz aktualizacji? Wygląda na i na moje niezbyt wprawne oko, że żadnej z bibliotek nie brakuje. Pytanie tylko czy ich wersje są takie, z jakimi został skompilowany Blender.

Dopiszę jeszcze to, że i mi niedawno po zaktualizowaniu którejś z potrzebnych bibliotek Blender nagle przestał chodzić. Skompilowałem go raz jeszcze i OK. Tyle że tu sytuacja odwrotna: biblioteki były nowsze niż skompilowany z nimi Blender.

Jeszcze jedno: jeśli z jakiegoś powodu nie chcesz aktualizować bibliotek, to może zainstaluj ich nagłówki i zbuduj Blendera ze źródeł.
Użytkownik: Ib5sXfcCkvYR
Hasło: adam

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Blender: symbol lookup error
« Odpowiedź #4 dnia: 2008-04-03, 21:49:43 »
Za Twoja rade wszedlem na synaptica i nagle olsnilo mnie: Sprawdzilem pod libffmpeg.
Co sie okazalo? Nie bylo zainstalowane libffmpeg-devel, po zaznaczeniu aktualizowal wszytskie kodeki. Czyli pamietajcie macie problem: zawsze sparawdzajcie lib[nazwa], a nuż to nie jest zainstalowane? ;)
Wielkie dzieki.

Edycja: pozwoliłem sobie skorygować dwa słowa codeci -> kodeki noz (nóż?) -> nuż ;)